Doxygen: missing documentation for enums (e.g. DcmCloseAssociationType)
Description

Although the enums DcmCloseAssociationType and DcmStorageMode are documented in "dcmtk/dcmnet/scu.h”, they are not
hyperlinked in the HTML documentation generated by Doxygen. Maybe, this also applies to other enumeration types!?

History

#1 - 2014-04-01 16:29 - J6rg Riesmeier
- % Done changed from 0 to 10

- Module changed from dcmnet and other? to decmnet and others

The trick is that Doxygen requires the following lines in order to parse global type definitions, enums, functions, etc. for generating the documentation:

// include this file in doxygen documentation

/** @file scu.h

* (@brief general Service Class User

*/

| started with some obvious files in ofstd, dcmdata, dcmimgle, dcmnet.

#2 - 2017-03-24 12:45 - Marco Eichelberg
- Target version changed from 3.6.2 to 3.6.3

#3 - 2017-12-07 11:56 - Marco Eichelberg
- Target version changed from 3.6.3 to 3.6.6

#4 - 2018-09-21 17:32 - Jorg Riesmeier
- Status changed from New to Closed
- Assignee set to Jorg Riesmeier

- % Done changed from 10 to 100

See commit 814cfb0.

#5 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)
